# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::MorphingCallback Class Reference

The MorphingCallback class is used by MorphingActor to implement the morphing animation on the GPU. More...

`#include <MorphingActor.hpp>`

Inheritance diagram for vl::MorphingCallback:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
virtual void | operator() (const Camera *cam, Actor *actor, Renderable *renderable, const Shader *, int pass)
| Called upon callback execution.

## Detailed Description

The MorphingCallback class is used by MorphingActor to implement the morphing animation on the GPU.

## Member Function Documentation

virtual const char* vl::MorphingCallback::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

void MorphingCallback::operator() | ( | const Camera * | cam,
|  | Actor * | actor,
|  | Renderable * | renderable,
|  | const Shader * | shader,
|  | int | pass |
| ) |  |  | `[virtual]`

Called upon callback execution.

Parameters:

  | cam | The camera used for the current rendering.
  | actor | The Actor bound to this rendering callback.
  | renderable | The currently selected Actor LOD.
  | shader | The currently active Shader.
  | pass | The current Actor[s] rendering pass.

Implements vl::ActorRenderingCallback.

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/MorphingActor.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/MorphingActor.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:00 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.